﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page
{
    SqlConnection con;
    protected void Page_Load(object sender, EventArgs e)
    {
        con = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=C:\Users\Divyesh\Documents\Visual Studio 2010\WebSites\WebSite1\App_Data\Database.mdf;Integrated Security=True;User Instance=True");
        print();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string lan="";
        foreach (ListItem li in CheckBoxList1.Items)
	    {
		    if (li.Selected)
	        {
		        lan += li.Text+",";
	        }
	    }
        SqlCommand cmd = new SqlCommand("INSERT INTO [student] ([name], [gender], [language], [city]) VALUES (@name, @gender, @language, @city)", con);
        cmd.Parameters.AddWithValue("@name", TextBox1.Text);
        cmd.Parameters.AddWithValue("@gender", RadioButtonList1.SelectedItem.Text);
        cmd.Parameters.AddWithValue("@language", lan);
        cmd.Parameters.AddWithValue("@city", DropDownList1.SelectedItem.Text);
        con.Open();
        int s=cmd.ExecuteNonQuery();
        con.Close();
        if (s==1)
        {
            Literal1.Text = "Record Inserted!";
            TextBox1.Text = "";
            RadioButtonList1.ClearSelection();
            CheckBoxList1.ClearSelection();
            DropDownList1.ClearSelection();
            print();
        }
        else
        {
            Literal1.Text = "Error!";
        }
    }
    public void print()
    {
        SqlDataAdapter adpt = new SqlDataAdapter("SELECT [id], [name], [gender], [language], [city] FROM [student]", con);
        DataTable dt = new DataTable();
        adpt.Fill(dt);
        GridView1.DataSource = dt;
        GridView1.DataBind();
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Button btn = (Button)sender;
        SqlCommand cmd = new SqlCommand("DELETE FROM [student] WHERE [id] = @id", con);
        cmd.Parameters.AddWithValue("@id", btn.CommandArgument);
        con.Open();
        int s = cmd.ExecuteNonQuery();
        con.Close();
        if (s == 1)
        {
            Literal1.Text = "Record Deleted!";
            TextBox1.Text = string.Empty;
            RadioButtonList1.ClearSelection();
            CheckBoxList1.ClearSelection();
            DropDownList1.ClearSelection();
            print();
        }
        else
        {
            Literal1.Text = "Error!";
        }
    }
    protected void Button3_Click(object sender, EventArgs e)
    {
        foreach (ListItem li in CheckBoxList1.Items)
        {
            li.Selected = false;
        }
        Button btn = (Button)sender;
        SqlDataAdapter adpt = new SqlDataAdapter("SELECT [id], [name], [gender], [language], [city] FROM [student] WHERE [id] = " + btn.CommandArgument, con);
        DataTable dt = new DataTable();
        adpt.Fill(dt);
        TextBox1.Text = dt.Rows[0][1].ToString();
        RadioButtonList1.Text = dt.Rows[0][2].ToString();
        string res = dt.Rows[0][3].ToString();
        string[] clist = res.Split(',');
        foreach (var item in clist)
        {
            foreach (ListItem li in CheckBoxList1.Items)
            {
                if (item == li.ToString())
                {
                    li.Selected = true;
                }
            }
        }
        DropDownList1.Text = dt.Rows[0][4].ToString();
        ViewState["id"] = btn.CommandArgument;
    }
    protected void Button4_Click(object sender, EventArgs e)
    {

        string lan = "";
        foreach (ListItem li in CheckBoxList1.Items)
        {
            if (li.Selected)
            {
                lan += li.Text + ",";
            }
        }
        SqlCommand cmd = new SqlCommand("UPDATE [student] SET [name] = @name, [gender] = @gender, [language] = @language, [city] = @city WHERE [id] = @id", con);
        cmd.Parameters.AddWithValue("@name", TextBox1.Text);
        cmd.Parameters.AddWithValue("@gender", RadioButtonList1.SelectedItem.Text);
        cmd.Parameters.AddWithValue("@language", lan);
        cmd.Parameters.AddWithValue("@city", DropDownList1.SelectedItem.Text);
        cmd.Parameters.AddWithValue("@id", ViewState["id"]);
        con.Open();
        int s = cmd.ExecuteNonQuery();
        con.Close();
        if (s == 1)
        {
            Literal1.Text = "Record Updated!";
            TextBox1.Text = string.Empty;
            RadioButtonList1.ClearSelection();
            CheckBoxList1.ClearSelection();
            DropDownList1.ClearSelection();
            print();
        }
        else
        {
            Literal1.Text = "Error!";
        }
    }
}